package Gimp::Config;

=head1 NAME

Gimp::Config - Access config options found during configure time.

=head1 DESCRIPTION

The Gimp::Config module creates a hash %Gimp::Config which contains
all the definitions found by the configuration process.  You can
access these values just like you access any other values, i.e.
C<$Gimp::Config{KEY}>. Some important keys are:

  IN_GIMP	=> true when gimp-perl was part of the Gimp distribution.
  GIMP		=> the path of the gimp executable
  GIMPTOOL	=> the path of the gimptool executable
  gimpplugindir	=> the actual gimp plug-in directory

=head1 SEE ALSO

L<Gimp>.

=cut

%Gimp::Config = (
                  'gimpplugindir' => '/usr/local/libexec/gimp/2.2/plug-ins',
                  'GIMPTOOL' => '/usr/local/bin/gimptool-2.0',
                  'GIMP_LIBS_NOUI' => '-lgimp-2.0 -lgimpmath-2.0  -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lintl -L/usr/local/lib -lcairo -pthread  ',
                  'GIMP_LIBS' => '-lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0  -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -L/usr/local/lib -lfreetype  ',
                  'INTLLIBS' => '',
                  'GIMP_CFLAGS' => ' -I/wrkdirs/usr/ports/graphics/p5-Gimp/work/Gimp-2.31 -Ddatadir="\\"\\"" -I/usr/local/include/gimp-2.0 -I/usr/local/include/gdk-pixbuf-2.0 -pthread -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1  -I/usr/local/include/freetype2 -I/usr/local/include/libpng15 -D_THREAD_SAFE -I/usr/local/include   ',
                  'GIMP' => '/usr/local/bin/gimp-2.8'
                );

1;
